package infra

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
)

type InfraOSPort struct {
	Infra
	InfraOS         *InfraOS              `json:"infraOS,omitempty"`
	CreateDate      *util.Timestamp       `json:"createDate,omitempty"`
	Port            json.Number           `json:"port,omitempty"`
	PortType        string                `json:"portType,omitempty"`
	MetaInfraVendor *meta.MetaInfraVendor `json:"metaInfraVendor,omitempty"`
	TLSType         bool                  `json:"tlsType,omitempty"`
}
